/*
Copyright (C) 2004-2005 Amour Hassan

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef COACH_H
#define COACH_H

#include "player.h"

class phCoach : public phPerson
{
public:
	RPH_THING_MODULE

	phCoach();
	virtual ~phCoach();

	void process( ThingManager *tm);

	std::string type() const { return std::string( "phCoach");}
	bool is_a( const std::string &s) const {
		if( s != phCoach::type()) return phPerson::is_a( s);
		return true;
	}

	gmTE call_ccmd( const std::string &key, gmCCArg &args);
	std::string list_ccmd( const std::string &p_prefix);

protected:
	static std::map <const std::string, THING_COMMAND_FN> m_ccmd;

private:
	phCoach( const phCoach &);
	phCoach &operator =( const phCoach &);
};

#endif
